TransactionLog.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <shibsp/base.h>`
`#include <xmltooling/logging.h>`
`#include <xmltooling/Lockable.h>`
`#include <xmltooling/io/GenericRequest.h>`
`#include <map>`
`#include <vector>`
`#include <iostream>`
`#include <boost/scoped_ptr.hpp>`
Include dependency graph for TransactionLog.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | shibsp::TransactionLog
| Interface to a synchronized event/audit logging object. More...
class | shibsp::TransactionLog::Event
| Callback interface that outputs an event record to a stream using formatting tokens. More...
class | shibsp::LoginEvent
class | shibsp::LogoutEvent
class | shibsp::AuthnRequestEvent

## Namespaces

namespace | xmltooling
| Licensed to the University Corporation for Advanced Internet Development, Inc.
namespace | shibsp
| Shibboleth Service Provider Library.

## Macros

#define | LOGIN_EVENT "Login"
| Login event.
#define | LOGOUT_EVENT "Logout"
| Logout event.
#define | AUTHNREQUEST_EVENT "AuthnRequest"
| AuthnRequest event.
#define | NAMEIDMGMT_EVENT "NameIDMgmt"
| NameIDMgmt event.

## Functions

void | shibsp::registerEvents ()
| Registers Event classes into the runtime.

## Variables

class XMLTOOL_API | xmltooling::Mutex
class SAML_API | opensaml::saml1p::Response
class SAML_API | opensaml::saml2p::AuthnRequest
class SAML_API | opensaml::saml2p::LogoutRequest
class SAML_API | opensaml::saml2p::LogoutResponse

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Formatted event record logging.